Blog & News

TREZOR Firmware 1.2.1 – mandatory update towards TREZOR Bridge

Posted by SatoshiLabs in News on August 1, 2014 with No Comments


Google is removing native browser plugin support faster then announced. Some of our users reported issues with a crashing TREZOR Plugin in Google Chrome and OS X. We are sorry for this inconvenience.

To prevent such issues we are about to release a TREZOR Bridge that will allow you to use your TREZOR device independently from 3rd party policies we cannot control. The Bridge will run outside of the browser and will be also more stable.

Updating your firmware to version 1.2.1. is mandatory in order to achieve full compatibility with the TREZOR Bridge. This update is stable and implements new stack overflow protection as well.

Please go to and follow the instructions to update the firmware. Don’t worry, it’s easy as you can see in our User Manual.

Tags: , , ,

Comments are closed.

Back to Top

2016 © SatoshiLabs